## Validation Testing
### Repeatability Testing
We conducted various repetition experiments to test different aspects of the SAVR kit. First, we tested the 300 ml syringes that are used as incubation chambers. Initial testing using a consistent CO2 mix from a tank revealed significant and variable CO2 loss from the syringe during the incubation period, with CO2 values dropping between 3% and 40% over 24 hours. Further testing of sealed syringes and different valve types confirmed that the CO2 loss was from the valves and not the syringes. After multiple iterations of valve design, we arrived at the current design. In a set of 29 replicates, none of the syringes lost greater than 4% of the CO2 added to the syringe after 24 hours, with CO2 loss averaging 3% with a standard deviation of 0.69% (Table 1). We have implemented a quality control check to all syringes included in SAVR kits, ensuring that any syringe with greater than 4% CO2 loss is discarded.

Next, we used a single large soil sample, well homogenized, to test the variability of the integrated scale and the automated water addition. Taking 20 samples, using a 15-cc scoop of the same soil sample resulted in a mean soil weight of 15.89 g and a standard deviation of 0.2 g. In those same 20 soils, water addition averaged 5.145 ml +/- 0.2 ml, which was within +/- 9% of the targeted water addition to reach 55% water filled pore space. 

Lastly, we analyzed soil respiration from 18 of the 20 samples (2 of the samples had technical errors with the run and were removed from this analysis). The average respiration for the 18 soils was 23.5 ug C / g soil with a standard deviation of 5.8 ug C / g soil. These tests were done before the automated calculation scripts were included, and therefore do not include corrections for incubation time. It is likely that some of the variation in the soil respiration results are related to differences in incubation length, which is corrected for in the deployed version of the calculation scripts. Overall, while the standard deviation of 5.8 is quite high, when taken in context of soil respiration values ranging from 11 to 144 (Figure 3) in a larger panel of soil samples, the device is accurate enough to identify differences in soil health across large datasets.

*Table 1. Repeatability testing of CO2 loss, soil weight, water addition and soil respiration.*
![Repeatability](https://gitlab.com/our-sci/manufacturing/respiration-meter-tutorials/-/raw/master/images/repeatability_table.png)

### Comparison to Solvita
Nine soils were selected from the BI soil archive, with LOI-C values ranging from 1.62% organic carbon to 15.35% C (Fig. 2). These soils were evaluated with Solvita kits and the SAVR kit. The CO2 increase from the SAVR kit was strongly correlated with the Solvita kit scores (Fig. 2).

![Solvita](https://gitlab.com/our-sci/manufacturing/respiration-meter-tutorials/-/raw/master/images/Solvita.png)
*Figure 2. Correlation between Solvita results and CO2 increase measured with the SAVR kit. The toal organic carbon of the nine test soils are presented in the table in the upper right corner.*

### Analyzing a large dataset with SAVR
After completing various design components and testing individual aspects of the SAVR kit, the next step was to test the kit on a large number of samples to determine if the instrument was precise enough to identify differences in soil respiration across different soil depths and soil management practices. To do this, we tested soil samples submitted our lab in Ann Arbor, MI by Bionutrient Institute grower partners. Over the 2021 and 2022 seasons, these partners submitted more than 500 soil samples, from 0-10 and 10-20 cm depth increments. These samples were collected from a wide range of soil, environmental and management conditions. As such, these soils provided an opportunity to test the SAVR kit at scale. First, we examined the distribution of respiration values (Fig. 3) which was quite large (ranging from 11 to 144 ug C per g soil). A wide distribution of values was expected given the varied nature of the soil samples that were submitted to the lab. 

![Distribution](https://gitlab.com/our-sci/manufacturing/respiration-meter-tutorials/-/raw/master/images/histogram_small.png)
*Figure 3. Distribution of soil respiration for the soils in the 0-10 cm depth increment.*

Next, we analyzed the respiration dataset using Analysis of Variance (ANOVA) to evaluate if the SAVR kit was precise enough to detect statistical differences between populations. First, we compared the 0-10 cm soils against the 10-20 cm soils, with the shallower soils having significantly greater soil respiration than deeper soils (Table 2). Next, we compared soil samples that we marked as coming from no-till systems to those from tillage systems at both sampling depths. While there was no statistical difference at 0-10 cm, soil respiration was significantly higher in the tilled soils that the no-till soils. This is an expected outcome, as in tilled systems the crop residues are tilled into the soil to come into direct contact with soil microbial communities. Conversely, in no-till systems the residue remains at or near the soil surface. There were no significant differences between cover cropping and no cover cropping systems within the dataset.

*Table 2. Analysis of variance evaluating soil depth, tillage practices and the use of cover crops on soil respiration using the SAVR kit.*
![ANOVA](https://gitlab.com/our-sci/manufacturing/respiration-meter-tutorials/-/raw/master/images/table_small.png)

Finally, using the same management practices as Table 1, we wanted to look at the relationship between soil organic C and soil respiration. Figure 4 below compares the relationship between LOI-C (total soil organic C) and soil respiration based on tillage practice (left) and use vs absence of cover crops (right). In the case of both management practices, we would expect using cover crops or practicing no-till to increase total and active soil Carbon. When plotting the data, we see that the increase in soil respiration is greater as LOI-C increases in the carbon building practices of no-till and cover-cropping compared to not using cover crops or practicing tillage. The BI grower partner program was a large-scale observational study, making simple ANOVA comparisons difficult. However, the narrow focus of this analysis is to use a large dataset to recognize patterns within the data using the SAVR kit.  

![Scatter](https://gitlab.com/our-sci/manufacturing/respiration-meter-tutorials/-/raw/master/images/scatter_plots.png)
*Figure 4. The relationship between total organic C (LOI-C) and tillage practices (left) and cover cropping (right).*
